# Unified Checkout Booking

As an alternative to the booking workflow that takes place in a workbench session, you can send all booking details and commit a single payload to create a booking. The single payload book request does not support any of the optional steps in the booking workflow, such as adding seats or ancillaries.

Endpoint: POST /air/book/reservation/reservations/build
Version: 11.36.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer JWT

## Header parameters:

  - `TraceId` (string)
    Identifier used to correlate Air API invocations across a multi-call business flows.

  - `XAUTH_TRAVELPORT_ACCESSGROUP` (string)
    Identifies the Travelport access group with which the caller is associated

  - `travelportPlusSessionIdentifier` (string)
    travelportPlusSessionIdentifier used to maintain an established agency session

  - `TVP-PCC-Core` (string)
    Allows user to pass PCC instead of Access Group ID

## Request body:

  - `application/json` (unknown)
    Unified Checkout request payload.

## Request fields (application/json):

  - `ReservationQueryBuild` (object)
    Used for a Create Hotel Reservation (Reference Payload) request. Defines a request to create a hotel reservation using selected hotel offer data together with traveler and payment details. This request typically follows Hotel Availability, Rules, or SearchComplete and is sent to finalize a booking. If the price or guarantee type changes from the preceding response, the request may need to be sent again with the applicable acceptance indicator.

  - `ReservationQueryBuild.@type` (string, required)
    Discriminator class ReservationQueryBuild only
    Example: ReservationQueryBuild

  - `ReservationQueryBuild.ReservationBuild` (object, required)
    Defines the reservation build details used to create a single payload reservation, including traveler, payment, and related booking details.  
For Hotel use ReservationBuildFromCatalogOffering schema.  
For Air use ReservationBuildFromCatalogProductOfferings (reference payload) or ReservationBuildFromProducts (FullPayload)."

  - `ReservationQueryBuild.ReservationBuild.@type` (string, required)
    Discriminator classes ReservationBuildFromCatalogOffering, ReservationBuildFromCatalogOfferings, ReservationBuildfromCatalogOfferingsAir,  ReservationBuildFromCatalogProductOfferings, ReservationBuildFromProducts, ReservationBuildVehicle
    Enum: "ReservationBuildFromCatalogProductOfferings", "ReservationBuildFromCatalogOfferings", "ReservationBuildFromCatalogOffering", "ReservationBuildFromProducts"

  - `ReservationQueryBuild.ReservationBuild.autoDeleteDate` (string)
    Creates a retention segment to keep the host PNR alive until this date.
    Example: 2011-01-24

  - `ReservationQueryBuild.ReservationBuild.receivedFrom` (string)
    Allows the user to specify who the request was received from.
    Example: TW

  - `ReservationQueryBuild.ReservationBuild.issuance` (string)
    Mid/BackOffice instructions.
    Enum: "Ticket", "BackOffice", "All", "Invoice"

  - `ReservationQueryBuild.ReservationBuild.Traveler` (array, required)

  - `ReservationQueryBuild.ReservationBuild.Traveler.@type` (string, required)
    Discriminator classes TravelerID or Traveler
    Enum: "Traveler"

  - `ReservationQueryBuild.ReservationBuild.Traveler.id` (string)
    Send value of travelerRefId_1 for the first traveler, then increment for each additional traveler (e.g., travelerRefId_2).
Traveler/id is only mandatory when referenced elsewhere in the request, such as in SpecialService and PrimaryContact (TravelerIdentifier/Identifier/value).

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelerRef` (string)

  - `ReservationQueryBuild.ReservationBuild.Traveler.Identifier` (object)
    A globally unique identifier key often used to reference a given option (such as Pricing, Booking, Rules, or additional workflows) or to retrieve information (such as Hotel pagination).

  - `ReservationQueryBuild.ReservationBuild.Traveler.Identifier.value` (string)
    Unique offer identifier that can be sent in subsequent payload requests to reference this offer.
When used for reference flight calls, the CatalogProductOfferingsIdentifier will be the transaction identifier from the Search, Next Leg Search, or Flight Specific Search response in CatalogProductOfferings/Identifier/value.
If you choose to pull the CatalogProductOfferingsIdentifier from the Price response instead (OfferListResponse/Identifier/value), either full or reference payload, please note for subsequent Add Offer requests you must remove the _PC appended to the end of the value in the AirPrice response (e.g., change value: '93d2091d-3d04-48ab-8091-6ae1525f02ea_PC' to value: '93d2091d-3d04-48ab-8091-6ae1525f02ea').
When building an AirPrice or Add Offer reference payload request:
- Look for the CatalogProductOfferingIdentifier (ex: o1) in a Search response at CatalogProductOfferings/CatalogProductOffering/id or a Price response at OfferListResponse/OfferID/id.
- Look for the ProductIdentifier (ex: p0) in a Search response at CatalogProductOfferings/CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef or from a Price response at OfferListResponse/OfferID/Product/id.

When returned from a workbench, this value is the system generated workbench identifier that must be sent in all subsequent requests for this workbench session.
When returned from Air Exchange Eligibility, value is the ticket number sent with the eligibility request.
When used specifically for form of payment, the value will begin with the characters 'FOP'. Similarly, the OfferIdentifier associated will begin with the character 'O'.
- If not available, for Payment, any unique identifier can be sent.

For Hotel Create Reservation (Reference Payload), send the value from the Availability response in CatalogOffering/id or the value from SearchComplete returned in propertyItems/lowestPublicAvailableRate/rateKey/value.
Results from Hotel Availability and Hotel SearchComplete are stored in the cache for 30 minutes. If the offers expire before booking, you must send a new request.
    Example: A0656EFF-FAF4-456F-B061-0161008D7C4E

  - `ReservationQueryBuild.ReservationBuild.Traveler.Identifier.authority` (string)
    Name of the supplier system that created this identifier - the source of information.  
For AirPrice, please note that GDS offers return the value 'Travelport' in authority while NDC offers return the carrier code of the issuing NDC carrier.  
When returned from Air Exchange Eligibility, authority is always 'Travelport' as the transaction issuer.  
For Hotels, authority indicates which supplier returned the lowest available rate for that property: either 'TVPT' (Travelport) or 'BKNG' (booking.com). Booking.com access requires additional provisioning and a direct agreement with the supplier. Authority is not returned if the property is closed or returns an error.  
For Hotel Create Reservation (Full Payload) and Sync Reservation send the value from the Availability response in CatalogOffering/Identifier/authority for the instance you want to book.
    Example: TVPT

  - `ReservationQueryBuild.ReservationBuild.Traveler.birthDate` (string)
    Date of birth in YYYY-MM-DD format.
The TripServices APIs require this object only for infant and child PTC types (e.g., INF, INS, CHD, UNN).
When sending [minimum secure flight information](https://developer.travelport.com/docs/flights/guides/booking-and-reservations/remarks-and-service-requests#minimum-secure-flight-information-ssr-docs), which is required by some carriers, this object is required for all PTCs.
    Example: 2021-06-05

  - `ReservationQueryBuild.ReservationBuild.Traveler.gender` (string)
    Gender Type Male, Female etc.
When sending [minimum secure flight information](https://developer.travelport.com/docs/flights/guides/booking-and-reservations/remarks-and-service-requests#minimum-secure-flight-information-ssr-docs) in the Traveler object, which is required by some carriers, this object is required for all PTCs.
This field is not used by Hotel APIs and will be ignored.
    Enum: "Male", "Female", "Unknown", "Undisclosed"

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName` (object, required)
    Travelport+ limits the combination of Given and Surname to 22 characters. Given name must have at least one character. Any PersonName exceeding 22 characters is truncated in the response.

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.@type` (string, required)
    Discriminator classes PersonName or PersonNameDetail
    Enum: "PersonNameDetail"

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.Prefix` (string)
    Salutation of honorific (e.g. Mr., Mrs., Ms., Miss, Dr.)
    Example: Mr

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.Given` (string)
    Traveler first or given name.
    Example: John

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.Middle` (string)
    Traveler middle name.
    Example: Erick

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.Surname` (string, required)
    Traveler last name or surname.
    Example: Smith

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.personNameType` (string)
    OTA Code
    Enum: "Former", "Nickname", "Alternate", "Maiden"

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.language` (string)
    'ISO639 code of the language the name is represented
    Example: EN

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.SurnamePrefix` (string)
    The surname prefix
    Example: Von

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.Suffix` (string)
    Traveler name suffix such as Jr. or Sr.
    Example: Jr.

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.Title` (string)
    Degree or honors
    Example: DR

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.Privacy` (object)
    Confidential details for marketing purpose

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.Privacy.id` (string)
    Optional internally referenced id
    Example: 2

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.Privacy.shareMarketing` (string)
    Used to indicate marketing preferences, Yes, No, Inherit
    Enum: "Yes", "No", "Inherit"

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.Privacy.optInStatus` (string)
    Used to indicate marketing preferences, OptIn, OptOut
    Enum: "OptedIn", "OptedOut", "Unknown"

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.Privacy.optInDate` (string)
    The datetime of receiving the opt in notice
    Example: 2026-08-07T12:12:00Z

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.Privacy.optOutDate` (string)
    The datetime the opt out notice was received
    Example: 2026-08-07T12:12:00Z

  - `ReservationQueryBuild.ReservationBuild.Traveler.PersonName.defaultInd` (boolean)
    If true, this is the default or primary name within a collection of names.
    Example: true

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address` (array)

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.@type` (string, required)
    Discriminator classes Address or AddressDetail
    Enum: "AddressDetail", "PropertyAddress"

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.id` (string)
    unique address id
    Example: Address_1

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.BldgRoom` (object)
    Address with building and room number

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.BldgRoom.value` (string)
    Example: Moore House

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.BldgRoom.buldingInd` (boolean)
    When true, the information is a building name. When false, it is an apartment or room #
    Example: true

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Number` (object)
    The street number alone is the numerical number that precedes the street name in the address.

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Number.value` (string)
    Street number value.
    Example: 23B

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Number.streetNmbrSuffix` (string)
    Street Number Suffix
    Example: B

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Number.streetDirection` (string)
    Direction of the Street
    Example: NW

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Number.ruralRouteNmbr` (string)
    RuralRoute Number
    Example: 76

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Number.po_Box` (string)
    PO Box Number
    Example: 1001

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Street` (string)
    Street name. May also contain the street number when the Number element is missing.
    Example: ABC Street

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.AddressLine` (array)
    Property street address. Used in place of Street and Number. Each element of the array represents an address line.

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.City` (string, required)
    Full name of the city, town, or postal station (i.e., a postal service territory, often used in a military address).
    Example: Dublin

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.County` (string)
    County or Region Name.
    Example: Berkshire

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.StateProv` (object)
    The standard code or abbreviation for the state, province, or region. May also include full length name.

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.StateProv.value` (string)
    State, province, or region code needed to identify location (typically two characters).
    Example: CA

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.StateProv.name` (string)
    State, province, or region name needed to identify location.
    Example: California

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Country` (object)
    Contains the information needed to identify a country.

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Country.value` (string)
    The ISO 3166 code for the property's address.
    Example: US

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Country.id` (string)
    Custom user-assigned identifier for the country.
    Example: 23

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Country.name` (string)
    The full name of the country for the property's address.
    Example: United States

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Country.codeContext` (string)
    The source of a code, such as the organization that provided the id number
    Example: IATA

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.PostalCode` (string)
    Postal code for the address.
    Example: Sl6 1AB

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Addressee` (string)
    The name of the company or person to be addressed
    Example: ACME INC

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.role` (string)
    Defines the type of location the address is assigned to. For TravelAgency address leave blank or use "Other".
    Enum: "Home", "Business", "Mailing", "Delivery", "Destination", "Other", "Billing"

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.addressType` (string)
    OTA code for address type
    Example: CLT

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.use` (string)
    OTA code for address use
    Example: AUT

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Comment` (object)
    Textual information.

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Comment.value` (string)
    Actual text.
May be restricted based on the type of comment. Ex:
- Notepad remarks: limited to 87 characters.
- Traveler name remarks: limited to 33 characters, only spaces and hyphens allowed for special characters.
    Example: Additional comments

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Comment.id` (string)
    Local identifier within a given message for this object.
    Example: comment_1

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Comment.name` (string)
    Title of comment or type of remark.
    Example: Comment name

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Comment.language` (string)
    Language code using ISO-639 standard
    Example: EN

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.Priority` (integer)
    The priority ranking within the group
    Example: 1

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.validInd` (boolean)
    If true, this is a valid and complete mailing address that has been verified through an address verification service or previously mailed materials have not been returned.
    Example: false

  - `ReservationQueryBuild.ReservationBuild.Traveler.Address.provisionedInd` (boolean)
    If true, this address came into the system through provisioning
    Example: false

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone` (array)

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone.@type` (string, required)
    Discriminator classes Telephone or TelephoneDetail
    Enum: "TelephoneDetail"

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone.countryAccessCode` (string)
    Phone country code
    Example: 1

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone.areaCityCode` (string)
    Phone local area code
    Example: 972

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone.phoneNumber` (string, required)
    Mobile/Telephone Number. Accepted characters are numeric, dash, space, and period.
    Example: 972-000-787

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone.extension` (string)
    Telephone extension number
    Example: 234

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone.id` (string)
    Optional custom user-assigned identifier for a phone number.
    Example: 3

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone.cityCode` (string)
    IATA city code if referenced by phone number.
    Example: DEN

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone.role` (string)
    Defines the type of location the Telephone is assigned to. For Travel Agency telephone select "Other" or leave blank.
    Enum: "Mobile", "Home", "Work", "Office", "Fax", "Other"

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone.phoneLocationType` (string)
    Location of the phone
    Example: Agency

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone.phoneTechType` (string)
    Indicates the type of technology associated with the telephone number
    Example: Voice

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone.phoneUseType` (string)
    Agency code for how phone is used (e.g., Home, Business, Emergency Contact, Travel Arranger, Day, Evening).
    Example: Home

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone.pin` (string)
    Additional codes used for telephone
    Example: 3456

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone.priority` (integer)
    Priority
    Example: 1

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone.defaultInd` (boolean)
    When true, indicates a default value should be used.
    Example: true

  - `ReservationQueryBuild.ReservationBuild.Traveler.Telephone.provisionedInd` (boolean)
    true indicates this phone number was created through provisioned
    Example: false

  - `ReservationQueryBuild.ReservationBuild.Traveler.Email` (array)
    For a reservation Retrieve response, all email addresses are associated with the first traveler on the reservation for GDS. NDC supports contact information for each traveler on the reservation.

  - `ReservationQueryBuild.ReservationBuild.Traveler.Email.value` (string)
    The email address.
    Example: exampledomain@example.com

  - `ReservationQueryBuild.ReservationBuild.Traveler.Email.id` (string)
    Electronic email addresses, in IETF specified format.
    Example: email_1

  - `ReservationQueryBuild.ReservationBuild.Traveler.Email.emailType` (string)
    Use email type to specify if the email is to be sent "TO" or sent "FROM"
    Example: FROM

  - `ReservationQueryBuild.ReservationBuild.Traveler.Email.comment` (string)
    Any freeform note for the email, such as its purpose.
    Example: work email

  - `ReservationQueryBuild.ReservationBuild.Traveler.Email.preferredFormat` (string)
    Mime media type
    Example: text/html

  - `ReservationQueryBuild.ReservationBuild.Traveler.Email.optInDate` (string)
    The datetime of receiving the opt in notice
    Example: 2026-03-03T11:11:00Z

  - `ReservationQueryBuild.ReservationBuild.Traveler.Email.optOutDate` (string)
    The datetime the opt out notice was received
    Example: 2026-03-03T11:11:00Z

  - `ReservationQueryBuild.ReservationBuild.Traveler.Email.validInd` (boolean)
    If true, this is a valid email address that has been system verified via a successful email transmission.
    Example: true

  - `ReservationQueryBuild.ReservationBuild.Traveler.Email.provisionedInd` (boolean)
    If true then the email address came from the provisioning process
    Example: true

  - `ReservationQueryBuild.ReservationBuild.Traveler.passengerTypeCode` (string)
    Passenger type code (PTC) for this traveler.  
Required for all PTCs other than ADT (adult); if not sent defaults to ADT.  
Some of the common PTCs supported include ADT, INF, INS, CHD, UNN. Private fare PTCs, including INN, JNN, VNN, ITF, JNF, and VFF, may also be supported, subject to airline support.
    Example: CHD

  - `ReservationQueryBuild.ReservationBuild.Traveler.nationality` (string)
    Nationality on country code ISO
    Example: AL

  - `ReservationQueryBuild.ReservationBuild.Traveler.age` (integer)
    The age of the traveller at the time of travel
    Example: 13

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty` (array)

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty.value` (string, required)
    Number on loyalty card.
    Example: 132456

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty.id` (string)
    Optional Customer Loyalty Id. Not saved
    Example: Loyalty_1

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty.priority` (integer)
    Optional Numeric Priority Code
    Example: 2

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty.programId` (string)
    Specifies an identifier to indicate the company owner of the loyalty program. Typically two characters.  
For frequent guest number, the hotel supplier or brand code.  
For frequent flyer number, the air supplier code of the loyalty program.
    Example: HY

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty.programName` (string)
    Supplier's loyalty program name.
    Example: Frontier-EarlyReturns

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty.supplierType` (string)
    The type of supplier of a loyalty program. Uses 'hotel' for frequent guest number or 'air' for frequent flyer number.
    Example: Hotel

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty.supplier` (string)
    Supplier of a loyalty program (typically 2 characters representing the hotel, brand, or airline).
    Example: UA

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty.tier` (string)
    Customer Loyalty tier
    Example: Silver

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty.shareWithSupplier` (array)
    The list of suppliers that the CustomerLoyalty number is shared. Used for cross accrual programs.  
If valid carrier codes are not sent, the response returns the message NO CROSS ACCRUAL AGREEMENT EXISTS.

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty.cardHolderName` (string)
    Customer loyalty member name; up to 128 characters are supported. In Air Search, for discounted offers to be returned, the name must be sent as LAST FIRST; e.g., if SMITH is the last name and JORDAN the first name, send as SMITH JORDAN
    Example: John Smith

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty.validatedInd` (boolean)
    Customer loyalty number has been validated by the supplier
    Example: true

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty.prefix` (string)
    The cardholder name prefix title like Mr, Mrs, Dr
    Example: Dr

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty.given` (string)
    The First Name of the Cardholder
    Example: John

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty.middle` (string)
    Middle Name of the Cardholder
    Example: Wilkinson

  - `ReservationQueryBuild.ReservationBuild.Traveler.CustomerLoyalty.surname` (string)
    Last Name of the Cardholder
    Example: Smith

  - `ReservationQueryBuild.ReservationBuild.Traveler.AlternateContact` (array)

  - `ReservationQueryBuild.ReservationBuild.Traveler.AlternateContact.@type` (string)
    Example: AlternateContact

  - `ReservationQueryBuild.ReservationBuild.Traveler.AlternateContact.id` (string)

  - `ReservationQueryBuild.ReservationBuild.Traveler.AlternateContact.contactType` (string)
    Contact type value
    Example: Relative

  - `ReservationQueryBuild.ReservationBuild.Traveler.AlternateContact.relation` (string)
    Relation value
    Example: Mother

  - `ReservationQueryBuild.ReservationBuild.Traveler.AlternateContact.Address` (array)

  - `ReservationQueryBuild.ReservationBuild.Traveler.AlternateContact.Telephone` (array)

  - `ReservationQueryBuild.ReservationBuild.Traveler.AlternateContact.Email` (array)

  - `ReservationQueryBuild.ReservationBuild.Traveler.AlternateContact.emergencyInd` (boolean)
    This is the contact in case of an emergency
    Example: true

  - `ReservationQueryBuild.ReservationBuild.Traveler.AlternateContact.defaultInd` (boolean)
    This is the default contact
    Example: true

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument` (array)

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.@type` (string, required)
    Discriminator classes TravelDocument or TravelDocumentDetail
    Enum: "TravelDocumentDetail"

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.docNumber` (string)
    Travel document number.
    Example: B37201

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.docType` (string)
    Supported Travel Document types
    Enum: "Visa", "Passport", "MilitaryIdentification", "DriversLicense", "NationalIdentityDocument", "VaccinationCertificate", "AlienRegistrationNumber", "InsurancePolicyNumber", "TaxExemptionNumber", "VehicleRegistrationLicenseNumber", "BoderCrossingCard", "RefugeeTravelDocument", "PilotsLicense", "PermanentResidentCard", "RedressNumber", "KnownTravelerNumber", "Non-Standard", "MerchantNumber", "AirNexusCard", "CrewMemberCertificate", "PassportCard", "NaturalizationCertificate", "TicketNumber", "LargeFamilyDiscountCard", "IdentityCardTypeA", "IdentityCardTypeC", "IdentityCardTypeI"

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.issueDate` (string)
    Issue date of document. Required for a visa
    Example: 2002-10-13

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.expireDate` (string)
    Expiration date of document. Required for a visa.
    Example: 2002-11-13

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.stateProvCode` (string)
    State Province Code value
    Example: 44

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.placeOfIssue` (string)
    Place of issue value
    Example: Birmingham

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.issueCountry` (string)
    Issuing country of document; ISO3166 standard format.
    Example: CA

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.birthDate` (string)
    The date of birth of the document holder in YYYY-MM-DD format.
    Example: 1995-04-22

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.birthCountry` (string)
    Country of birth of the document holder in ISO3166 standard format.
    Example: AR

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.birthPlace` (string)
    Birth place value
    Example: Ontario

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.residence` (string)
    Residence value
    Example: 1st section 8th st

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.id` (string)
    Locally referenced id
    Example: 34

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.Nationality` (string)
    Birth country as noted on document; specifies a 2 character country code as defined in ISO3166.
    Example: BR

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.IssuedForGeoPoliticalArea` (object)
    The location code of the geographical location. Codes from Ref Pub

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.IssuedForGeoPoliticalArea.value` (string)
    Example: G

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.IssuedForGeoPoliticalArea.level` (string)
    Represents the type of geopolitical area (country, Continent, State etc)
    Enum: "World", "Global Area", "Continent Group", "Continent", "Country", "StateProvince", "City", "Airport"

  - `ReservationQueryBuild.ReservationBuild.Traveler.TravelDocument.IssuedForGeoPoliticalArea.id` (string)
    Optional internally referenced id
    Example: 2

  - `ReservationQueryBuild.ReservationBuild.Traveler.Comments` (object)
    Comments object to relay free text information  
In ProductAncillary.Ancillary this is used to expose when additional comments are required to book the ancillary.  
In BuildAncillaryOffersFromCatalogOfferings this is used to pass additional ancillary text required to book the ancillary.  
In Traveler this is used to send custom freeform traveler name remarks, such as a unique identifier for a given traveler. Not supported for addition/deletion in Traveler Modify.

  - `ReservationQueryBuild.ReservationBuild.Traveler.Comments.@type` (string)
    Example: Comments

  - `ReservationQueryBuild.ReservationBuild.Traveler.Comments.Comment` (array)

  - `ReservationQueryBuild.ReservationBuild.Traveler.RailDiscountCard` (array)

  - `ReservationQueryBuild.ReservationBuild.Traveler.RailDiscountCard.value` (string)
    Example: Rail1234546

  - `ReservationQueryBuild.ReservationBuild.Traveler.RailDiscountCard.supplierCode` (string, required)
    Code of the Supplier
    Example: Enco

  - `ReservationQueryBuild.ReservationBuild.Traveler.RailDiscountCard.referenceNumber` (string)
    ReferenceNumber
    Example: 134256

  - `ReservationQueryBuild.ReservationBuild.Traveler.accompaniedByInfantInd` (boolean)
    Example: true

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment` (array)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.@type` (string, required)
    Discriminator classes FormOfPaymentID, FormOfPaymentBSP, FormOfPaymentCash, FormOfPaymentCheck, FormOfPaymentDocument, FormOfPaymentFlightPass, FormOfPaymentForfeit, FormOfPaymentInvoice, FormOfPaymentPaymentCard, FormOfPaymentVirtualPaymentAccount, FormOfPaymentWaiverCode
    Enum: "FormOfPaymentCash", "FormOfPaymentPaymentCard", "FormOfPaymentForfeit", "FormOfPaymentBSP", "FormOfPaymentAgencyAccount", "FormOfPaymentInvoice", "FormOfPaymentDocument", "FormOfPaymentWaiverCode", "FormOfPaymentVirtualPaymentAccount", "FormOfPaymentFlightPass", "FormOfPaymentCheck"

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.id` (string)
    Form of Payment reference ID.
    Example: formofpayment_1

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.FormOfPaymentRef` (string)
    Send a custom identifier for this FOP. Supports up to 256 alphanumeric characters.
    Example: formofpayment_1

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.reservationFOPInd` (boolean)
    If true, this form of payment is the primary form of payment stored in the Reservation and will be used as the default payment unless alternate form of payment is referenced during the payment process.
    Example: true

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.activeInd` (boolean)
    Deprecated. Will not implement.
    Example: true

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.agentNonRefundableInd` (boolean)
    This indicates that the Cash payment should not be refunded

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.Comment` (string)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.FreeText` (string)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.miscellaneousInd` (boolean)
    If true, the form of payment type is MS, miscellaneous

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard` (object)
    Form of payment details for a payment card.

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.@type` (string, required)
    Discriminator classes PaymentCard or PaymentCardDetail
    Enum: "PaymentCardDetail"

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.id` (string)
    Payment card reference ID.
    Example: paymentCard_01

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.effectiveDate` (string)
    Indicated starting date.

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.expireDate` (string)
    Card expiration date in MMYY format.
    Example: 0558

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.approvalCode` (string)
    The approval code value
    Example: C59

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardType` (string)
    Type of card; supported values are Credit, Debit, Gift.
    Enum: "Credit", "Debit", "Gift"

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardCode` (string)
    Specifies the two character code (MC, VI, AX, etc) for the payment card (open enumeration)
    Example: VI

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardBrand` (object)
    This object contains Cards details for Payment

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardBrand.paymentCardIssuers` (object)
    An array of Payment Card Issuers

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardBrand.paymentCardIssuers.value` (string)
    Source: OpenTravel
    Enum: "VISA", "USAirways", "UnitedAirlines", "StarwoodHotels", "SouthwestAirlines", "RitzCarlton", "Mastercard", "Mariott", "Hyatt", "Hilton", "Eurocard", "Disney", "DiscoverCard", "DeltaAirlines", "ContinentalAirlines", "Citibank", "Chase", "CapitalOne", "BritishAirways", "BankOfAmerica", "AmericanExpress"

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardBrand.paymentCardIssuersExtension` (string)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardBrand.issueNumber` (integer)
    Assigned Type: c-1100:NumberDoubleDigit

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardHolderName` (string)
    Name as displayed on payment card

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber` (object)
    The payment card number

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.@type` (string)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.encryptionKey` (string)
    Note: This contains a key required to retrieve the full payment instrument details compliant with PCI DSS standards.
    Example: secret

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.encryptionKeyMethod` (string)
    Developer: This contains a reference to the key generation method being used - this is NOT the key value.
    Example: RSA

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.encryptionMethod` (string)
    OpenTravel Best Practice: Encryption Method: When using the OpenTravel Encryption element, it is RECOMMENDED that all trading partners be informed of all encryption methods being used in advance of implementation to ensure message processing compatibility.
    Example: RSA

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.encryptedValue` (string)
    Encrypted value
    Example: 5dfc52b51bd35553df8592078de921bc

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.mask` (string)
    Masked Value
    Example: xxxx436

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.token` (string)
    Token value
    Example: A567GTREWQ

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.tokenProviderID` (string)
    Developer: This contains a provider ID if multiple providers are used for secure information exchange.
    Example: c1234532

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.authenticationMethod` (string)
    Type of Authentication
    Enum: "SecurityCode", "MagneticStripe"

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.PlainText` (string)
    Don't use this unless it is REALLY ok to not use encryption. Non-secure (plain text) value.
    Example: un-encrypted data

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.ErrorWarning` (object)
    parent class of ErrorWarningDetail

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.ErrorWarning.@type` (string, required)
    Discriminator classes ErrorWarning or ErrorWarningDetail
    Enum: "ErrorWarningDetail"

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.ErrorWarning.StatusCode` (integer)
    Http standard response code

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.ErrorWarning.Message` (string)
    The Travelport standardized error or warning message

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.ErrorWarning.NameValuePair` (array)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.ErrorWarning.NameValuePair.value` (string)
    Text directly related to name description, providing more detail. May have character restrictions based on remark type (e.g. Free Text limitations: 84 characters, alphanumeric and some special characters).
    Example: Sunday

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.ErrorWarning.NameValuePair.id` (string)
    Optional internally referenced id
    Example: 6

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.ErrorWarning.NameValuePair.name` (string, required)
    Key, categorizing the type of remark or error.
    Example: Day1

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.ErrorWarning.category` (string)
    A category to assist in identifying the error
    Example: VALIDATION

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.ErrorWarning.SourceID` (string, required)
    The identifier of the source system sending the error or warning

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.ErrorWarning.SourceCode` (string)
    The error or warning code returned by the source airline or host system

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CardNumber.ErrorWarning.SourceDescription` (string)
    The error or warning message as it is returned by the source airline or host system

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SeriesCode` (object)
    The security code of card.

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SeriesCode.@type` (string)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SeriesCode.encryptionKey` (string)
    Note: This contains a key required to retrieve the full payment instrument details compliant with PCI DSS standards.
    Example: secret

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SeriesCode.encryptionKeyMethod` (string)
    Developer: This contains a reference to the key generation method being used - this is NOT the key value.
    Example: RSA

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SeriesCode.encryptionMethod` (string)
    OpenTravel Best Practice: Encryption Method: When using the OpenTravel Encryption element, it is RECOMMENDED that all trading partners be informed of all encryption methods being used in advance of implementation to ensure message processing compatibility.
    Example: RSA

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SeriesCode.encryptedValue` (string)
    Encrypted value
    Example: 5dfc52b51bd35553df8592078de921bc

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SeriesCode.mask` (string)
    Masked Value
    Example: xxxx436

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SeriesCode.token` (string)
    Token value
    Example: A567GTREWQ

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SeriesCode.tokenProviderID` (string)
    Developer: This contains a provider ID if multiple providers are used for secure information exchange.
    Example: c1234532

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SeriesCode.PlainText` (string)
    Don't use this unless it is REALLY ok to not use encryption. Non-secure (plain text) value. The credit card three or four digit CVV code. Required by certain suppliers. Booking.com requires the CVV code.
    Example: un-encrypted data

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.MagneticStripe` (array)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.MagneticStripe.@type` (string)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.MagneticStripe.encryptionKey` (string)
    Note: This contains a key required to retrieve the full payment instrument details compliant with PCI DSS standards.
    Example: secret

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.MagneticStripe.encryptionKeyMethod` (string)
    Developer: This contains a reference to the key generation method being used - this is NOT the key value.
    Example: RSA

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.MagneticStripe.encryptionMethod` (string)
    OpenTravel Best Practice: Encryption Method: When using the OpenTravel Encryption element, it is RECOMMENDED that all trading partners be informed of all encryption methods being used in advance of implementation to ensure message processing compatibility.
    Example: RSA

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.MagneticStripe.encryptedValue` (string)
    Encrypted value
    Example: 5dfc52b51bd35553df8592078de921bc

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.MagneticStripe.mask` (string)
    Masked Value
    Example: xxxx436

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.MagneticStripe.token` (string)
    Token value
    Example: A567GTREWQ

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.MagneticStripe.tokenProviderID` (string)
    Developer: This contains a provider ID if multiple providers are used for secure information exchange.
    Example: c1234532

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.MagneticStripe.PlainText` (string)
    Don't use this unless it is REALLY ok to not use encryption. Non-secure (plain text) value.
    Example: un-encrypted data

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.secureInd` (boolean)
    Implementer: If true, all or a portion of this data is secure, via tokenization, encryption and/or masking.

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.countryOfIssue` (string)
    The country code ISO
    Example: AG

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.companyCardReference` (string)
    The company card reference
    Example: IOR1386861

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.bankName` (string)
    The bank name value
    Example: Bank of America

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.bankCountryCode` (string)
    The bank country code ISO
    Example: BOFAUS3N

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.bankStateCode` (string)
    The bank state code ISO
    Example: NE

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.Telephone` (array)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.Email` (array)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.CustomerLoyalty` (array)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SignatureOnFile` (object)
    Signature held on file

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SignatureOnFile.@type` (string)
    Example: SignatureOnFile

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SignatureOnFile.Date_EffectiveExpire` (object)
    Used to identify the effective date and/or expiration date.

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SignatureOnFile.Date_EffectiveExpire.effective` (string)
    Indicates the starting date.

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SignatureOnFile.Date_EffectiveExpire.expire` (string)
    Indicates the ending date.

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SignatureOnFile.Date_EffectiveExpire.expireDateExclusiveInd` (boolean)
    When true, indicates that the ExpireDate is the first day after the applicable period (e.g. when expire date is Oct 15  the last date of the period is Oct 14).

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.SignatureOnFile.signatureOnFileInd` (boolean)
    When true, indicates a signature has been obtained.
    Example: true

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity` (object)
    3DS authentication information

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.@type` (string)
    Example: ThreeDomainSecurity

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway` (object, required)
    3DS authentication information

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.@type` (string)
    Example: ThreeDomainSecurityGateway

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.eCI` (string)
    The eCI value
    Example: 2

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.merchantID` (string)
    The merchant ID value
    Example: mycart

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.processorID` (string)
    The processor ID value
    Example: 201

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.uRL` (string)
    Transaction URL.
    Example: https://transactionURL

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification` (object)
    Authentication and verification information

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.@type` (string)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.encryptionKey` (string)
    Note: This contains a key required to retrieve the full payment instrument details compliant with PCI DSS standards.
    Example: secret

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.encryptionKeyMethod` (string)
    Developer: This contains a reference to the key generation method being used - this is NOT the key value.
    Example: RSA

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.encryptionMethod` (string)
    OpenTravel Best Practice: Encryption Method: When using the OpenTravel Encryption element, it is RECOMMENDED that all trading partners be informed of all encryption methods being used in advance of implementation to ensure message processing compatibility.
    Example: RSA

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.encryptedValue` (string)
    Encrypted value
    Example: 5dfc52b51bd35553df8592078de921bc

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.mask` (string)
    Masked Value
    Example: xxxx436

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.token` (string)
    Token value
    Example: A567GTREWQ

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.tokenProviderID` (string)
    Developer: This contains a provider ID if multiple providers are used for secure information exchange.
    Example: c1234532

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.AuthenticationVerification.PlainText` (string)
    Don't use this unless it is REALLY ok to not use encryption. Non-secure (plain text) value.
    Example: un-encrypted data

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password` (object)
    Password information

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.@type` (string)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.encryptionKey` (string)
    Note: This contains a key required to retrieve the full payment instrument details compliant with PCI DSS standards.
    Example: secret

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.encryptionKeyMethod` (string)
    Developer: This contains a reference to the key generation method being used - this is NOT the key value.
    Example: RSA

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.encryptionMethod` (string)
    OpenTravel Best Practice: Encryption Method: When using the OpenTravel Encryption element, it is RECOMMENDED that all trading partners be informed of all encryption methods being used in advance of implementation to ensure message processing compatibility.
    Example: RSA

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.encryptedValue` (string)
    Encrypted value
    Example: 5dfc52b51bd35553df8592078de921bc

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.mask` (string)
    Masked Value
    Example: xxxx436

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.token` (string)
    Token value
    Example: A567GTREWQ

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.tokenProviderID` (string)
    Developer: This contains a provider ID if multiple providers are used for secure information exchange.
    Example: c1234532

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityGateway.Password.PlainText` (string)
    Don't use this unless it is REALLY ok to not use encryption. Non-secure (plain text) value.
    Example: un-encrypted data

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults` (object, required)
    3DS authentication information

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.@type` (string)
    Example: ThreeDomainSecurityResults

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.cAVV` (string)
    The cAVV value
    Example: AAABAFaQRwAAAAAAEZBHAAAAAAA=ECI05

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.pAResStatus` (string)
    The pAResStatus value
    Example: 1

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.signatureVerfication` (string)
    The signature Verification value
    Example: Y

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.transactionID` (string)
    The transaction ID
    Example: 9D920E9-6FCF-4A74-A4E0-D6A591D1108F

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.xID` (string)
    Merchants must ensure that each Payer Authentication Request (PAReq) contains a unique combination of account ID and XID
    Example: 2bxUs1emK0SCevbivcApzAcAAQk=

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.eCI` (string)
    Electronic Commerce Indicator - 3-D secure data, contact your authenticator for rules and downline processing.
    Example: 2

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.ThreeDomainSecurity.ThreeDomainSecurityResults.uCAFIndicator` (string)
    Universal Card Authentication Field™ MasterCard only UCAF is the mechanism that is used to transmit the AAV from the merchant to issuer for authentication purposes during the authorization process
    Example: 0

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.extendedPaymentInd` (boolean)
    Implementer: If true, the credit card company is requested to delay the date on which the amount of this transaction is applied to the customer's account.

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.enettInd` (boolean)
    True if this payment card has been issued through Enett
    Example: true

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.thirdPartyInd` (boolean)
    If true, then the payment card holder is not one of the travelers in the reservation
    Example: true

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.PaymentCard.acceptanceOverrideInd` (boolean)
    If true, override airline restriction on the payment card
    Example: true

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.inhibitPaymentCardAuthorizationInd` (boolean)
    If true, the payment card will not go through card authorization process

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.notValidForPaymentInd` (boolean)
    If true, the payment card has been masked and is not valid for making payments

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.ExtendedPayment` (object)
    Note this field is deprecated in Payment schema and should be passed in FormOfPaymentPaymentCardExtendPayment schema

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.ExtendedPayment.NumberOfInstallments` (integer, required)
    The number of installment payments to be charged by the payment card provider
    Example: 6

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.ExtendedPayment.FirstInstallment` (number)
    For Pagos Parceledos, specify the first installment amount. This will be the same currency as the payment
    Example: 100

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.ExtendedPayment.RemainingAmount` (number)
    For Pagos Parceledos, specify the remaining amount to be charged that will be spread across the number of installments. This will be the same currency as the payment
    Example: 50

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.ExtendedPayment.OTATOCode` (string)
    For Pagos Parceledos the OTATOCode

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.forfeitInd` (boolean)
    If true, this form of payment instruction is to forfeit residual amounts specified in an Offer. Used in conjunction with Payment to specify which amounts to be forfeited

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.accountNumber` (string)
    The account number for the Form of payment BSP
    Example: 378282246310005

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.agencyId` (string)
    The identifier of the pre-established agency account to be billed. This is not validated or created by this API — the account must already exist with the supplier or settlement provider. Format and issuing authority vary by supplier; consult supplier-specific documentation.
    Example: 87654321

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.InvoiceNumber` (string)
    The invoice number this payment is applied against. Must correspond to an invoice already established outside this transaction; the API does not verify invoice existence or outstanding balance.

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.DocumentNumber` (object)
    Document Number with additional attributes that the document represents

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.DocumentNumber.value` (string)
    Example: 1259900123456

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.DocumentNumber.documentIssuer` (string)
    Document issuer
    Example: BA

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.DocumentNumber.documentType` (string)
    Document type like EMD, MCO
    Enum: "EMD", "MCO", "Ticket", "TASF", "Invoice"

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.DocumentNumber.travelerIdentifierRef` (string)
    traveler identifier reference
    Example: traveler_1

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.DocumentNumber.name` (string)
    The name of the Traveler being referenced.
    Example: SMITH/JMR

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.DocumentNumber.passengerTypeCode` (string)
    The passenger type code of the Traveler being referenced.
    Example: ADT

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.DocumentNumber.id` (string)
    A locally referenced ID
    Example: id_1

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.DocumentNumber.description` (string)
    Descriptive text used to identify the contents of a target object
    Example: Descriptive text.

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.DocumentNumber.uris` (array)
    The URI used to GET the target object in another domain.
    Example: ["www.travelport.com/uri"]

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.WaiverCode` (object)
    A code assigned by an airline to support waiver of fees or ticket value as a result of disruption to the passenger. Waiver code can be passed during the refund by document process (BuildFromOfferList). Select the type of fee that is to be waivered in the waiver type field. Also passed as a FormOfPayment.

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.WaiverCode.value` (string)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.WaiverCode.reasonCode` (integer)
    A code assigned to identify the reason for disruption
    Example: 2

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.WaiverCode.waiverType` (string)
    List of waiver types.
    Enum: "ChangePenalty", "PriceDifference", "ChangePenaltyAndPriceDifference", "RefundPenalty", "NameChangePenalty"

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.FlightPass` (array, required)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.FlightPass.@type` (string, required)
    Discriminator. No child classes
    Example: FlightPass

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.FlightPass.accountNumber` (string, required)
    The flight pass account number.
    Example: 0140851633093

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.FlightPass.supplier` (string, required)
    The flight pass supplier code. AC is the only value accepted at this time.
    Example: AC

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.FlightPass.Description` (array)

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.FlightPass.TravelerIdentifierRef` (array)
    In Search, use the passengerCriteriaRef to reference the owner of the flightpass. This is a mandatory field for Search API.

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.FlightPass.TravelerIdentifierRef.value` (string)
    Example: traveler_001

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.FlightPass.TravelerIdentifierRef.id` (string)
    A locally referenced ID
    Example: id_001

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.FlightPass.TravelerIdentifierRef.description` (string)
    Descriptive text used to identify the contents of a target object
    Example: Descriptive Text

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.FlightPass.TravelerIdentifierRef.uris` (array)
    Uniform Resource Identifier
    Example: ["www.travelport.com/uri"]

  - `ReservationQueryBuild.ReservationBuild.FormOfPayment.checkInd` (boolean)
    If true, the form of payment type is check

  - `ReservationQueryBuild.ReservationBuild.Payment` (array)

  - `ReservationQueryBuild.ReservationBuild.Payment.@type` (string, required)
    Discriminator classes PaymentID or Payment
    Enum: "Payment"

  - `ReservationQueryBuild.ReservationBuild.Payment.id` (string)
    Customer-assigned identifier for the payment.

  - `ReservationQueryBuild.ReservationBuild.Payment.PaymentRef` (string)
    Customer-assigned name for the payment.

  - `ReservationQueryBuild.ReservationBuild.Payment.Amount` (object, required)
    A monetary amount, up to 4 decimal places. Decimal place must be included.

  - `ReservationQueryBuild.ReservationBuild.Payment.Amount.value` (number)
    The amount of a given currency.
    Example: 124.56

  - `ReservationQueryBuild.ReservationBuild.Payment.Amount.code` (string)
    An ISO 4217 alpha character code (3 characters) that specifies a money unit.
    Example: USD

  - `ReservationQueryBuild.ReservationBuild.Payment.Amount.minorUnit` (integer)
    Minor units are a mechanism for expressing the relationship between a major currency unit and its corresponding minor currency unit.  
It is the smallest unit of a given currency. For example; the smallest denomination in USD is the cent, which is 1/100 of a USD, and the minor unit value is 2. Not all currencies have a minor unit.
    Example: 2

  - `ReservationQueryBuild.ReservationBuild.Payment.Amount.currencySource` (string)
    The system requesting or returning the currency code specified in the attribute
    Enum: "Supplier", "Charged", "Requested"

  - `ReservationQueryBuild.ReservationBuild.Payment.Amount.approximateInd` (boolean)
    If true, the currency amount has been converted from the original amount.  
For Air Exchange Eligibility, returned only if a currency is converted. If returned, the value is always true, indicating that the fee is approximate because of currency conversion.  
For Hotel Availability and Rules, true indicates this is a calculated value; false indicates this is the value returned by the property.
    Example: true

  - `ReservationQueryBuild.ReservationBuild.Payment.FormOfPaymentIdentifier` (object)
    The Travelport-assigned identifier to identify the form of payment to which a payment was charged.

  - `ReservationQueryBuild.ReservationBuild.Payment.FormOfPaymentIdentifier.@type` (string)
    Example: FormOfPaymentPaymentCash

  - `ReservationQueryBuild.ReservationBuild.Payment.FormOfPaymentIdentifier.id` (string)
    Form of payment identifier reference ID.

  - `ReservationQueryBuild.ReservationBuild.Payment.FormOfPaymentIdentifier.FormOfPaymentRef` (string)
    User-assigned custom ID sent with the Add Form of Payment request.

  - `ReservationQueryBuild.ReservationBuild.Payment.FormOfPaymentIdentifier.activeInd` (boolean)
    If true, this form of payment will be used for document issuance and override any other form of payment in the reservation.
    Example: true

  - `ReservationQueryBuild.ReservationBuild.Payment.OfferIdentifier` (array)

  - `ReservationQueryBuild.ReservationBuild.Payment.OfferIdentifier.id` (string)
    Local identifier within a given message for this object.
    Example: offer_1

  - `ReservationQueryBuild.ReservationBuild.Payment.OfferIdentifier.offerRef` (string)
    Used to reference another instance of this object in the same message
    Example: offer_1

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees` (object)
    Includes TotalFees object to return the sum total of any fees.  
May include array of Fee objects to break down individual fees.  
Child class FeesDetail may also include a breakdown of the individual fees.

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.@type` (string, required)
    Discriminator. Child class FeesDetail
    Enum: "FeesDetail"

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.TotalFees` (number)
    Total fees included in the TotalPrice. Supports up to 4 decimal places; decimal place needs to be included.
    Example: 55

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.TotalAdditionalFeesPayableLocally` (number)
    Fees due separately at the property. Expected to be paid in local currency. These fees are not included in the Offer TotalPrice.
    Example: 25

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.Fee` (array)
    Array of individual fees.

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.Fee.@type` (string)

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.Fee.feeCode` (string)
    For Hotel, the Hotel provider's explanation of the fee; can be returned either as a code or as text.  
For Air, the code for the fee, such as 'OB' for OB fees.
    Example: 1011

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.Fee.reportingAuthority` (string)
    Not used. Identifies the reporting authority.
    Example: OPRA

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.Fee.purpose` (string)
    Not used. Fee purpose
    Example: Service charge

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.Fee.description` (string)
    Any description or text explanation of the charge.
    Example: Resort Fee

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.Fee.feeApplication` (string)
    Application values (such as the application of a fee) like per person or per room.
    Enum: "PerPerson", "PerRoom", "PerAccommodation", "PerHouse", "PerApartment", "PerAdult", "PerChild"

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.Fee.feeFrequency` (string)
    The frequency of a fee such as per night or per stay.
    Enum: "PerNight", "PerDay", "PerStay", "PerWeek", "RoundTrip", "OneWay"

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.Fee.FeeAmountOrPercent` (object, required)
    Defines whether the fee is charged as an amount or percentage.

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.Fee.FeeAmountOrPercent.@type` (string, required)
    Discriminator. Child classes FeeAmountOrPercentAmount or FeeAmountOrPercentPercent
    Enum: "FeeAmountOrPercentAmount", "FeeAmountOrPercentPercent"

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.Fee.FeeAmountOrPercent.application` (string)
    Type of commission
    Enum: "Full", "Partial", "Non-paying", "No-show", "Adjustment", "Commissionable"

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.Fee.Tax` (array)

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.Fee.includedinBaseInd` (boolean)
    If true, indicates the fee is included in Base Price.

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.Fee.includedInTotalPriceInd` (boolean)
    If true, indicates the fee is included in Total Price. Default behavior is for fees not to be included in TotalPrice.

  - `ReservationQueryBuild.ReservationBuild.Payment.Fees.Fee.collectionMethod` (string)
    List of change fee method
    Enum: "EMD", "MCO", "Tax", "Unknown"

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes` (object)
    Summary of all individual taxes. Child class TaxesDetail provides the breakdown of individual taxes.

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.@type` (string, required)
    Discriminator class is TaxesDetail
    Enum: "TaxesDetail"

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TotalTaxes` (number)
    A monetary amount, representing the total of all taxes included in this offer. Supports up to 4 decimal places; decimal place must be included.
    Example: 330.1

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxInfo` (array)
    Returned for TripChange APIS only.

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxInfo.@type` (string)
    Example: TaxInfo

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxInfo.TaxCode` (string, required)
    The tax code
    Example: XF

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxInfo.CurrencyCode` (object)
    Currency codes are the three-letter alphabetic codes that represent the various currencies used throughout the world.  
Unless changed in the request, the currency is the default associated with your provisioned PCC from Travelport.  
For Hotel: SourceCurrency is based on the location of the hotel and used for all rates in the response. TargetCurrency is the currency code sent in the request in requestedCurrency.

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxInfo.CurrencyCode.value` (string)
    An ISO 4217 currency code.
    Example: USD

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxInfo.CurrencyCode.codeAuthority` (string)
    Currency code authority
    Example: ISO 4217

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxInfo.CurrencyCode.decimalPlace` (integer)
    Number of decimal places for the currency.
    Example: 2

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxInfo.CurrencyCode.decimalAuthority` (string)
    Currency code decimal authority
    Example: ISO 4217

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxInfo.Amount` (number, required)
    The amount of the tax applied

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxInfo.TaxBreakdown` (array, required)
    The breakdown of the tax for this tax code

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxInfo.TaxBreakdown.@type` (string)
    Example: TaxInfo

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxInfo.TaxBreakdown.AirportCode` (string, required)
    The airport location the tax applies to
    Example: MIA

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxInfo.TaxBreakdown.Amount` (number)
    The amount of the tax applied
    Example: 3.1

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.Tax` (array)

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxPercent` (object)
    Returned when the tax is expressed as a percentage of the amount.

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxPercent.value` (number)
    The tax percentage amount.
    Example: 5.5

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxPercent.taxCode` (string)
    Any code for the tax.
    Example: 971 - IRS Notice

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxPercent.reportingAuthority` (string)
    Tax reporting authority
    Example: Georgia Department of Revenue

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxPercent.purpose` (string)
    Purpose of tax
    Example: statutory tax

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxPercent.description` (string)
    Description
    Example: 1.5% of SGST

  - `ReservationQueryBuild.ReservationBuild.Payment.Taxes.TaxPercent.includedInBase` (string)
    Yes , No , Unknown
    Enum: "Yes", "No", "Unknown"

  - `ReservationQueryBuild.ReservationBuild.Payment.TravelerIdentifierRef` (array)

  - `ReservationQueryBuild.ReservationBuild.Payment.depositInd` (boolean)
    If true, the payment is a deposit on the referenced Offer; at booking the provided card is charged for deposit or prepay rate.

  - `ReservationQueryBuild.ReservationBuild.Payment.AgencyServiceFeeIdentifier` (array)

  - `ReservationQueryBuild.ReservationBuild.Payment.AgencyServiceFeeIdentifier.id` (string)
    Unique id for this object within a message

  - `ReservationQueryBuild.ReservationBuild.Payment.guaranteeInd` (boolean)
    If true, the payment is a guarantee for the referenced Offer; no amounts are charged at booking; the customer is to make payment in person upon arrival.

  - `ReservationQueryBuild.ReservationBuild.ReservationComment` (array)

  - `ReservationQueryBuild.ReservationBuild.ReservationComment.@type` (string, required)
    Discriminator classes ReservationCommentID or ReservationComment
    Enum: "ReservationComment"

  - `ReservationQueryBuild.ReservationBuild.ReservationComment.id` (string)
    Local identifier within a given message for this object.

  - `ReservationQueryBuild.ReservationBuild.ReservationComment.commentSource` (string)
    Originator of a comment.
    Enum: "Agency", "Supplier", "Traveler"

  - `ReservationQueryBuild.ReservationBuild.ReservationComment.shareWith` (string)
    Designates the visibility of a remark.
    Enum: "Supplier", "Agency", "Traveler"

  - `ReservationQueryBuild.ReservationBuild.ReservationComment.shareWithSupplier` (array)
    Reservation comment shared with supplier
    Example: ["AA","BA"]

  - `ReservationQueryBuild.ReservationBuild.ReservationComment.Comment` (array)
    Defines the type of remark (name) and the remark itself (value).
Send the following in 'name' for each type of remark: Notepad remarks: Two-character code. Use asterisk for any placeholder. (HS, CR, R*, **) Unassociated remarks: ITIN COMMENTS Special instruction remarks: SI
For remark text 'value', please note character limits for each type of remark: Notepad remarks: 87 Unassociated remarks: 70 Special instruction remarks: 50

  - `ReservationQueryBuild.ReservationBuild.ReservationComment.AppliesTo` (array)

  - `ReservationQueryBuild.ReservationBuild.ReservationComment.AppliesTo.@type` (string, required)
    Discriminator classes AppliesToOffer, AppliesToOfferProduct, and AppliesToOfferProductSegment
    Enum: "AppliesToOffer", "AppliesToOfferProduct", "AppliesToOfferProductSegment"

  - `ReservationQueryBuild.ReservationBuild.ReservationComment.AppliesTo.OfferIdentifier` (array)

  - `ReservationQueryBuild.ReservationBuild.ReservationComment.AppliesTo.ProductIdentifier` (array)

  - `ReservationQueryBuild.ReservationBuild.ReservationComment.AppliesTo.ProductIdentifier.id` (string)
    Local identifier within a given message for this object.
    Example: product_1

  - `ReservationQueryBuild.ReservationBuild.ReservationComment.AppliesTo.ProductIdentifier.productRef` (string)
    Used to reference another instance of this object in the same payload.
    Example: product_1

  - `ReservationQueryBuild.ReservationBuild.ReservationComment.AppliesTo.SegmentSequenceList` (array)
    Segment Sequence List
    Example: [23,12,34,51]

  - `ReservationQueryBuild.ReservationBuild.PrimaryContact` (array)

  - `ReservationQueryBuild.ReservationBuild.PrimaryContact.@type` (string, required)
    Discriminator classes PrimaryContactID or PrimaryContact
    Enum: "PrimaryContact"

  - `ReservationQueryBuild.ReservationBuild.PrimaryContact.id` (string)

  - `ReservationQueryBuild.ReservationBuild.PrimaryContact.shareWithSupplier` (array)
    Primary contact shared with supplier
    Example: ["AA","BA"]

  - `ReservationQueryBuild.ReservationBuild.PrimaryContact.TravelerIdentifier` (object)
    Returns the system-generated traveler identifier in key value pairs; authority, if returned, is Travelport.

  - `ReservationQueryBuild.ReservationBuild.PrimaryContact.TravelerIdentifier.@type` (string)
    Example: TravelerIdentifier

  - `ReservationQueryBuild.ReservationBuild.PrimaryContact.TravelerIdentifier.id` (string)

  - `ReservationQueryBuild.ReservationBuild.PrimaryContact.TravelerIdentifier.TravelerRef` (string)

  - `ReservationQueryBuild.ReservationBuild.PrimaryContact.contactInformationRefusedInd` (boolean)
    If true, the passenger has refused to provide emergency contact details
    Example: true

  - `ReservationQueryBuild.ReservationBuild.SpecialService` (array)

  - `ReservationQueryBuild.ReservationBuild.SpecialService.@type` (string, required)
    Discriminator classes SpecialServiceID, SpecialServiceBassinet, SpecialServiceBlind, SpecialServiceDeaf, SpecialServiceDPNA, SpecialServiceMeal, SpecialServiceUnaccompaniedMinor, SpecialServiceWheelchairAirlineSupplied, SpecialServiceWheelchairTravelerSupplied
    Enum: "SpecialService"

  - `ReservationQueryBuild.ReservationBuild.SpecialService.id` (string)
    Internal Id

  - `ReservationQueryBuild.ReservationBuild.SpecialService.Status` (object)

  - `ReservationQueryBuild.ReservationBuild.SpecialService.Status.value` (string)
    Status returned in a response for a given process. This may be seen in a two-step commitment process, seats, or other multi-commit processes.
    Enum: "Pending", "Confirmed", "Cancelled", "Rejected", "Requested"

  - `ReservationQueryBuild.ReservationBuild.SpecialService.Status.supplierText` (string)
    Supplier status text
    Example: Active/In-active

  - `ReservationQueryBuild.ReservationBuild.SpecialService.Status.code` (string)
    Special service status code
    Example: NN

  - `ReservationQueryBuild.ReservationBuild.SpecialService.ServiceAnimalType` (string)
    The type of service animal accompanying the Traveler. If no service animal leave blank.
    Example: Horse

  - `ReservationQueryBuild.ReservationBuild.SpecialService.Quantity` (integer)
    Example: 1

  - `ReservationQueryBuild.ReservationBuild.SpecialService.FreeText` (string)
    Example: NO SEAFOOD

  - `ReservationQueryBuild.ReservationBuild.SpecialService.SSRCode` (string)
    Example: SPML

  - `ReservationQueryBuild.ReservationBuild.SpecialService.Carrier` (string)
    For unassociated SSRs use carrier to instruct which airline to send the service information to
    Example: BA

  - `ReservationQueryBuild.ReservationBuild.Accounting` (object)

  - `ReservationQueryBuild.ReservationBuild.Accounting.@type` (string, required)
    Discriminator classes AccountingID or Accounting
    Enum: "Accounting"

  - `ReservationQueryBuild.ReservationBuild.Accounting.id` (string)

  - `ReservationQueryBuild.ReservationBuild.Accounting.AccountingRef` (string)
    Accounting reference

  - `ReservationQueryBuild.ReservationBuild.Accounting.dataType` (string)
    Accounting data type. When used as Accounting remark designator the accepted value is DOCI.
    Example: DateTime

  - `ReservationQueryBuild.ReservationBuild.Accounting.template` (string)
    Accounting template
    Example: Internal Finance template

  - `ReservationQueryBuild.ReservationBuild.Accounting.NameValuePair` (array)
    'Defines the type of accounting-specific remark (name) and the remark itself (value).
Send the following in "name" for each type of remark: DYO - Design Your Own Itinerary FS - Fare Saver CR - Canned Remarks TK - Ticket Number Details AC - Agent, Account, or Branch Details AR - Replace Sign On Code X* - Back Office Accounting Details FT - Free Text
For remark text "value", please note character limits for each type of remark:  DYO - 2 digit, numeric FS - 9 characters total limit in format 1 (all numeric) or format 2 (numeric “–“ two alpha) CR - 42 characters total limit in format (two numeric "." two numeric "." etc) TK - 8 to 12 characters in format 1 (all numeric) or format 2 (numeric “-“ three numeric) AC - 42 characters, alphanumeric and some special characters AR - 10 characters, alphanumeric X* - 84 characters, alphanumeric and some special characters FT - 84 characters, alphanumeric and some special characters'

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides` (array)

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.@type` (string, required)
    Discriminator classes DocumentOverridesID or DocumentOverrides
    Enum: "DocumentOverrides"

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.id` (string)
    The reporting number.
    Example: documentoverrides_001

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.DocumentOverridesRef` (string)

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.Commissions` (array)

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.Commissions.@type` (string)

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.Commissions.TravelerIdentifierRef` (array)

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.Commissions.Commission` (object, required)
    GDS only; not supported for NDC.  
Commission information.  
Any commission filed by an airline in a CAT35 fare is returned in PriceBreakdownAir/Commission. The amount is either a percent of the fare component (@type CommissionPercent and the Percent object) or an amount (@type CommissionAmount and the Amount object).

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.Commissions.Commission.@type` (string, required)
    Discriminator. Child classes CommissionAmount or CommissionPercent
    Enum: "CommissionAmount", "CommissionPercent"

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.Commissions.Commission.Percent` (number)
    Percent amount of commission
    Example: 20

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.Commissions.ApplyTo` (string)
    List of commission Apply
    Enum: "Base", "Fee"

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.DestinationPurpose` (array)

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.DestinationPurpose.@type` (string)
    Example: DestinationPurpose

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.DestinationPurpose.destination` (string, required)
    List of destinations
    Enum: "United States of America", "Mexico / Central America / Canal Zone/ Costa Rica", "Islands and Countries of the Caribbean", "South America", "Europe", "Africa", "Middle East / Western Asia", "Asia", "Australia / New Zealand / Pacific Islands", "Canada and Greenland"

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.DestinationPurpose.purpose` (string, required)
    The purpose exposed.
    Enum: "Business", "Pleasure", "Charter Service"

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.Restrictions` (array)

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.Restrictions.@type` (string)

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.Restrictions.TravelerIdentifierRef` (array)

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.Restrictions.Restriction` (array, required)
    The restriction/endorsement text. Maximum 29 characters per line.
    Example: ["VALID BA ONLY","NON REFUNDABLE"]

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.TourCodes` (array)

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.TourCodes.@type` (string)
    Discriminator. No child classes.
    Example: TourCodes

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.TourCodes.TravelerIdentifierRef` (array)
    Reference the traveler if the tour code is traveler specific. Leave blank to apply to all travelers.

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.TourCodes.TourCode` (object, required)
    Tour code

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.TourCodes.TourCode.value` (string)
    The actual value of the tour code.

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.TourCodes.TourCode.tourCodeType` (string)
    List of tour code types.
    Enum: "Bulk Tour", "Inclusive Tour"

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.ChangeFeeCollectionMethod` (object)

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.ChangeFeeCollectionMethod.code` (string, required)
    The code value
    Example: f2142

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.ChangeFeeCollectionMethod.subCode` (string)
    The subcode value
    Example: 631b

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.ChangeFeeCollectionMethod.description` (string)
    The description value
    Example: Change fee collection method

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.ChangeFeeCollectionMethod.changeFeeIssuedSeparatelyInd` (boolean)
    if true, the change fee will be issued as a separate transaction to the residual amount
    Example: true

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.ChangeFeeCollectionMethod.taxIncludedInBaseAmountInd` (boolean)
    If true, the tax  on the fee will be included in the base fee amount and sent as a single value to the supplier for fulfilment
    Example: true

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.NetRemitInfo` (object)

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.NetRemitInfo.@type` (string)
    Example: NetRemitInfo

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.NetRemitInfo.CarCode` (string)
    The CAR code or deal code applied to this product for use in net remit.
    Example: ACAR

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.NetRemitInfo.ValueCode` (string)
    The Value code applied to this product for use in net remit
    Example: D1000

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.NetRemitInfo.ActualSellingFare` (number)
    The actual selling fare which will override the Offer base fare on the document
    Example: 100.5

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.NetRemitInfo.NetBaseAmount` (object)
    Returned only in the Price and Reservation Retrieve APIs. GDS only; not supported for NDC.
The base amount of a ticket price or net price that is filed in local currency.
Returned when the origin currency is not the same as the PCC currency to show the currency in which the base fare has been filed.
When used for NetBaseAmount: Net ticket data (NTD) is returned in the AirPrice, AirReservation, Exchange Search, and Reservation Retrieve responses for any GDS fare that has a private fare component (fareType=AgencyPrivateFare). When NTD is returned, TermsAndConditionsFuill includes FareGuaranteePolicy to return the fare calculation indicator for the fare.   When NTD is returned, PriceBreakdown may include NetBaseAmount.

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.NetRemitInfo.NetBaseAmount.value` (number)
    Filed amount value
    Example: 43.3422

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.NetRemitInfo.NetBaseAmount.currencyCode` (string)
    Code for the currency in which the base fare was filed.
    Example: USD

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.NetRemitInfo.NetBaseAmount.codeAuthority` (string)
    Filed amount currency code authority
    Example: Australian Dollar

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.NetRemitInfo.NetBaseAmount.decimalPlace` (integer, required)
    Number of decimal places in the currency in ISO 4217 standard format.
    Example: 3

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.NetRemitInfo.NetBaseAmount.decimalAuthority` (string)
    ISO 4217 standard decimal authority
    Example: ISO 4217

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.NetRemitInfo.ClientDiscountCode` (string)
    The client discount code applied to this product for net remit.
    Example: DEF456

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.TicketDesignators` (array)

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.TicketDesignators.@type` (string, required)
    Discriminator class TicketDesignators only

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.TicketDesignators.TravelerIdentifierRef` (array)

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.TicketDesignators.TicketDesignator` (string, required)

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.residualValueAsEvenExchangeMIRInd` (boolean)
    Report an exchange with residual value transaction as an Even exchange in the MIR.
    Example: true

  - `ReservationQueryBuild.ReservationBuild.DocumentOverrides.obFeeExemptInd` (boolean)
    If true, the associated Offer is exempt from OB Payment Card Fees.
    Example: true

  - `ReservationQueryBuild.ReservationBuild.Notification` (array)

  - `ReservationQueryBuild.ReservationBuild.Notification.QueueNumber` (array)
    After booking and either with or prior to ticketing, you can place a booking on a queue. (See [Queues](https://developer.travelport.com/docs/flights/guides/ticketing-guide#specify-a-queue) in the Ticketing Guide for details.)
This is one of two ways to specify a queue. Alternately, you can send the standalone Queue Placement request anytime after booking and before ticketing.

  - `ReservationQueryBuild.ReservationBuild.Notification.QueueNumber.value` (integer)
    Queue number
    Example: 10

  - `ReservationQueryBuild.ReservationBuild.Notification.QueueNumber.category` (string)
    Queue category
    Example: DM

  - `ReservationQueryBuild.ReservationBuild.Notification.QueueNumber.subCategory` (string)
    Queue subCategory
    Example: Date Range sub-category

  - `ReservationQueryBuild.ReservationBuild.Notification.QueueNumber.overridePCC` (string)
    Send only if overriding the default PCC to queue the Reservation to another PCC.
    Example: 0XS4

  - `ReservationQueryBuild.ReservationBuild.Notification.Date` (string)
    Send to update or delete the ticketing time limit on a booking. This is the last day to ticket the booking before the offer expires.
Not supported at this time for Unified Checkout.
Send in YYYY-MM-DD format:
- To update or add a date, send the new date.
- To delete an existing date, send with a value of 1000-01-01.

  - `ReservationQueryBuild.ReservationBuild.Notification.Comment` (string)
    Optional ticket time limit text string.
    Example: Optional free text

  - `ReservationQueryBuild.ReservationBuild.CustomAuxiliarySegment` (array)

  - `ReservationQueryBuild.ReservationBuild.CustomAuxiliarySegment.@type` (string, required)
    Discriminator classes CustomAuxiliarySegmentID or CustomAuxiliarySegment
    Enum: "CustomAuxiliarySegment"

  - `ReservationQueryBuild.ReservationBuild.CustomAuxiliarySegment.id` (string)
    Custom Auxiliary segment reference ID.
    Example: aux_001

  - `ReservationQueryBuild.ReservationBuild.CustomAuxiliarySegment.customAuxiliarySegmentRef` (string)

  - `ReservationQueryBuild.ReservationBuild.CustomAuxiliarySegment.SegmentType` (string, required)
    The auxiliary segment type; either TUR for tour or SUR for surface.
    Example: TUR

  - `ReservationQueryBuild.ReservationBuild.CustomAuxiliarySegment.SupplierCode` (string, required)
    Two-character provider/vendor code. May be returned as ZZ, the generic vendor code for a service provider in the Travelport system.
    Example: YY

  - `ReservationQueryBuild.ReservationBuild.CustomAuxiliarySegment.StatusCode` (string, required)
    Status code for booking.
    Example: BK

  - `ReservationQueryBuild.ReservationBuild.CustomAuxiliarySegment.Quantity` (integer, required)
    The quantity of services provided for this auxiliary segment.
    Example: 1

  - `ReservationQueryBuild.ReservationBuild.CustomAuxiliarySegment.Location` (string, required)
    Three character IATA location code relevant to the auxiliary segment.
    Example: LON

  - `ReservationQueryBuild.ReservationBuild.CustomAuxiliarySegment.Date` (string, required)
    The local start date relevant to the auxiliary segment.

  - `ReservationQueryBuild.ReservationBuild.CustomAuxiliarySegment.CustomTextQualifier` (string)
    Text qualifier such as DO for drop off.
    Example: DO

  - `ReservationQueryBuild.ReservationBuild.CustomAuxiliarySegment.CustomText` (string)
    Custom text relevant to this auxiliary segment.

  - `ReservationQueryBuild.ReservationBuild.Preference` (array)
    Preference not supported.

  - `ReservationQueryBuild.ReservationBuild.Preference.@type` (string, required)
    Discriminator classes PreferenceID, Preference, PreferenceAirSeat, or PreferenceRailSeat
    Enum: "Preference"

  - `ReservationQueryBuild.ReservationBuild.Preference.id` (string)

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation` (object)
    Returns confirmation details for all reservations both before and after ticketing.

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation` (object)
    Confirmation details, such as those found in a Receipt.

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.@type` (string, required)
    Discriminator classes ConfirmationHold or ConfirmationVehicle
    Enum: "ConfirmationHold"

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.Locator` (object)
    Locator information for the reservation. Contains the unique alphanumeric identifier (PNR or external locator) or cancellation number for the reservation, order, or offer.

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.Locator.value` (string)
    Reference id for locatorType.  
Booking.com returns a PIN number along with the confirmation number for each sold hotel segment. If the agent/traveler needs to reconcile the booking with Booking.com, Booking.com requires both the PIN number and confirmation number to locate the segment in their system.
    Example: ZXG25P

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.Locator.locatorType` (string)
    Specifies the type of reservation ID
Travelport - Confirmation number; PNR locator Agency - IATA Number Booking.com - Confirmation number; PIN number
In Document History, may return the content source (e.g. GDS or NDC)
    Example: Confirmation Number

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.Locator.source` (string)
    Content source. Typically a two-character Supplier code that indicates the source system which generated the resid.  
For Hotels, if source matches chain code, the offer is directly with the supplier. If source is 'BO', the offer is with Booking.com.
    Example: 1G

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.Locator.sourceContext` (string)
    Specifies the context of the source. Either Travelport, Agency, or Supplier.
    Example: Travelport

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.Locator.otaType` (string)
    Used for codes
    Example: 14.UIT

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.Locator.creationDate` (string)
    Date created in Travelport or supplier system in YYYY-MM-DD format.
    Example: 2026-03-01

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.Locator.lastUpdated` (string)
    The date and time stamp the Reservation was last updated.
    Example: 2026-08-07T12:12:00Z

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.OfferStatus` (object)
    Returns segment confirmation details.

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.OfferStatus.@type` (string, required)
    Discriminator classes OfferStatus, OfferStatusAir, OfferStatusAncillary, OfferStatusHospitality, OfferStatusVehicle
    Enum: "OfferStatusAncillary", "OfferStatusAir", "OfferStatusHospitality", "OfferStatusVehicle"

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.OfferStatus.StatusAncillary` (array, required)

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.OfferStatus.StatusAncillary.value` (string)
    Status of an offer.
    Enum: "Confirmed", "Cancelled", "Pending", "Modifed", "Rejected", "Waitlisted"

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.OfferStatus.StatusAncillary.code` (string)
    Assigned Type: c-1100:StringTiny

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.OfferStatus.StatusAir` (array)

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.OfferStatus.StatusAir.flightRefs` (array)
    The flight IDs to which this status applies.

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.OfferStatus.StatusAir.code` (string)
    IATA standard 2-byte status code for the reservation
    Example: HK

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.OfferStatus.StatusAir.pastDateInd` (boolean)
    If true, the flight is considered to be past date
    Example: true

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.OfferStatus.consumedInd` (boolean)
    If true, the hotel offer has already been consumed and is for information only.
    Example: true

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.OfferStatus.code` (string)
    The booking status code. HK, MK
    Example: MK

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.UnpricedSegmentsStatus` (array)
    GDS only; NDC does not support unpriced segments.  
Returned if reservation has any unpriced segments. Details of segment varies by type of unpriced content. Generally includes UnpricedFlightSegment object with standard flight details as returned in Product/FlightSegment.

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.UnpricedSegmentsStatus.@type` (string, required)
    Discriminator. No child classes.
    Example: UnpricedSegmentsStatus

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.UnpricedSegmentsStatus.StatusAir` (array, required)

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.ShoppingCartProductStatus` (object)

  - `ReservationQueryBuild.ReservationBuild.ReceiptConfirmation.Confirmation.ShoppingCartProductStatus.@type` (string, required)
    Discriminator classes ShoppingCartProductStatus or ShoppingCartProductStatusAir
    Enum: "ShoppingCartProductStatusAir"

[...]
